Create webhook endpoint
curl --request POST \
--url https://api.yourproducthere.ai/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"events": [],
"verify": true
}
'import requests
url = "https://api.yourproducthere.ai/v1/webhooks"
payload = {
"url": "<string>",
"events": [],
"verify": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: [], verify: true})
};
fetch('https://api.yourproducthere.ai/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"secret": "<string>",
"active": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
Webhooks
Create webhook endpoint
Register a new webhook endpoint. When verify is true (default), YPH sends a synchronous webhook.test post request to verify endpoint readiness and reachability before creation.
POST
/
webhooks
Create webhook endpoint
Authorizations
Your organization API key starting with yph_sk_live_…
Body
application/json
The secure HTTPS target URL to receive event payloads.
Available options:
insta_swap.queued, insta_swap.completed, insta_swap.failed, digital_sample.analysis.completed, digital_sample.analysis.failed Whether to verify endpoint reachability synchronously.
⌘I
